#!/bin/bash

############################
# horus.sh
# instructions spécifiques
# pour la reconfiguration 
# du module Horus
############################

# Appel Bibliothèque
. ParseDico

echo -e "\n## gestion du mot de passe LDAP ##"
/usr/share/eole/ldap_pwd.py `/usr/bin/pwgen -1`> /dev/null

# pour les serveurs lents
sleep 1

echo -e "\n## gestion du SID ##"
net setlocalsid `ldapsearch -x sambaDomainName=* | grep sambaSID | awk -F " " '{print $2}'`
/usr/share/eole/set_sid.sh

echo

## synchronisation du fichier smb.conf
/usr/share/horus/synchro-file.py norestart

# On relance le script de firewall
/usr/sbin/lance.firewall
